## php-sabre-http-3 3.0.5

=== debian/changelog ===
php-sabre-http-3 (3.0.5-3ubuntu1) xenial; urgency=medium

  * Add php-mbstring as a hard-coded binary dependency, to work around this
    not getting picked up via pkg-php-tools / phpcomposer.  LP: #1557599.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 Mar 2016 13:14:06 -0700

php-sabre-http-3 (3.0.5-3) unstable; urgency=medium

  * PHP 7.0 transition:
    - Revert Workaround
    - Use now split php-mbstring for the tests
    - Build with recent pkg-php-tools
  * Drop ownCloud for Debian maintainers from uploaders

 -- David Prévot <taffit@debian.org>  Sat, 12 Mar 2016 19:30:25 -0400

php-sabre-http-3 (3.0.5-2) unstable; urgency=medium

  * Convert build-dependencies to be PHP 7.0 ready (Closes: #814815)
  * Workaround the ongoing yet not ready PHP 7.0 transition (#814858):
    - build-depend on php-cli to use php7.0 at build time;
    - pkgtools called with -v triggers a segfault;

 -- David Prévot <taffit@debian.org>  Mon, 22 Feb 2016 22:11:41 -0400

php-sabre-http-3 (3.0.5-1) unstable; urgency=medium

  * Simplify CI test handling
  * Update Standards-Version to 3.9.7
  * Rename as php-sabre-http-3 so that php-sabre-dav-2.1 will be
    co-installable with more recent versions of php-sabre-dav.

 -- David Prévot <taffit@debian.org>  Fri, 05 Feb 2016 12:20:47 -0400

php-sabre-http (3.0.5-3) unstable; urgency=medium

  * Adapt patches to sabre21 specific path
  * Fix upper limit after spurious upload of php-sabre-event 3.0.0~alpha1

 -- David Prévot <taffit@debian.org>  Tue, 27 Oct 2015 13:43:02 -0400

php-sabre-http (3.0.5-2) unstable; urgency=medium

  * Install in a sabre21 specific path.
    This allow the package to be co-installable with older versions of
    php-sabre-dav (<< 1.9).

 -- David Prévot <taffit@debian.org>  Sun, 31 May 2015 19:13:33 -0400

php-sabre-http (3.0.5-1) unstable; urgency=medium

  [ Evert Pot ]
  * No longer preserving CURLOPT_NOBODY after a HEAD.

 -- David Prévot <taffit@debian.org>  Thu, 14 May 2015 11:12:14 -0400

php-sabre-http (3.0.4-2) unstable; urgency=medium

  * Upload to unstable, as needed by php-sabre-dav 2.1
  * Track 3.0 branch
  * Update copyright
  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Wed, 15 Apr 2015 23:02:31 -0400

php-sabre-http (3.0.4-1) experimental; urgency=medium

  [ Evert Pot ]
  * Releasing sabre/http 3.0.4

  [ David Prévot ]
  * Update watch file
  * Use php-symfony-class-loader instead of php-symfony-classloader

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2014 21:59:34 -0400

php-sabre-http (3.0.2-1) experimental; urgency=medium

  [ Evert Pot ]
  * Ignoring invalid parts in Accept: headers.
  * Releasing 3.0.2

 -- David Prévot <taffit@debian.org>  Fri, 10 Oct 2014 10:31:39 -0400

php-sabre-http (3.0.1-1) experimental; urgency=medium

  [ Evert Pot ]
  * PHP 5.6 automatically adds a charset parameter.
  * Bumped version.

 -- David Prévot <taffit@debian.org>  Thu, 02 Oct 2014 18:30:58 -0400

php-sabre-http (3.0.0-1) experimental; urgency=medium

  [ Evert Pot ]
  * Bumped version.
  * 100% unittest coverage except the client.
    hasHeader / getHeaders is in line with psr/http.

  [ David Prévot ]
  * Bump standards version to 3.9.6
  * Update tests for PHP 5.6

 -- David Prévot <taffit@debian.org>  Tue, 23 Sep 2014 21:35:16 -0400

php-sabre-http (2.1.0~alpha1-1) experimental; urgency=medium

  [ David Prévot ]
  * Update packaging to PSR-4
  * Upload alpha version to experimental

  [ Evert Pot ]
  * Added a url resolver. Much like nodejs.
  * Content-negotiation now properly considers parameters.
  * More compact output for phpcs.
  * Lots of http-header related updates.
  * Switched to PSR-4.
  * 2.1.0 alpha for sabre/http.

  [ Lukas Reschke ]
  * Only accept HTTP and HTTPS as protocol

 -- David Prévot <taffit@debian.org>  Tue, 16 Sep 2014 21:57:28 -0400

php-sabre-http (2.0.4-1) unstable; urgency=medium

  [ Evert Pot ]
  * No longer urlencoding @.
  * Allowing sabre/event 2.0 to be used as a dependency.
  * PHPCS

  [ Jia Huang ]
  * fix $responseBody==false problem in '204 No Content' case

  [ David Prévot ]
  * No tests if DEB_BUILD_OPTIONS contains nocheck
  * Run phpcs with other tests

 -- David Prévot <taffit@debian.org>  Thu, 17 Jul 2014 15:43:16 -0400

php-sabre-http (2.0.3-1) unstable; urgency=medium

  [ Evert Pot ]
  * Throwing exceptions when incorrectly constructing a request.

 -- David Prévot <taffit@debian.org>  Sun, 20 Apr 2014 09:26:51 -0400

php-sabre-http (2.0.2-1) unstable; urgency=medium

  [ Evert Pot ]
  * Fixed a potential security problem.

  [ David Prévot ]
  * Run the test suite on packaging
  * Add DEP-8 compliant tests

 -- David Prévot <taffit@debian.org>  Tue, 18 Mar 2014 14:52:32 -0400

php-sabre-http (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2014 11:01:29 -0400

php-sabre-http (2.0.0~alpha6-1) unstable; urgency=medium

  * Set maintainer to Debian PHP PEAR
  * Update copyright years

 -- David Prévot <taffit@debian.org>  Sun, 05 Jan 2014 18:14:11 -0400

php-sabre-http (2.0.0~alpha5-1) unstable; urgency=low

  * Initial release (Closes: #729433)

 -- David Prévot <taffit@debian.org>  Tue, 12 Nov 2013 16:25:35 -0400
