=== debian/tests/control ===
Test-Command: phpcs -p --standard=tests/phpcs/ruleset.xml /usr/share/php/sabre21/Sabre/HTTP
Depends: @, php-codesniffer

Test-Command: phpunit --configuration tests/phpunit.xml
Depends: @, patch, php-curl, php-xdebug, phpunit
