=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d.]+)/~$1/i \
https://github.com/fruux/sabre-http/releases \
.*/archive/(3\.\d.+).tar.gz
